%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		deskbar-applet
Version:	2.28.0
Release:	1
BuildArch:	i686
Summary:	A Gnome applet to allow easy access to various search engines
Group:		Internet
License:	GNU/GPLv2
URL:		http://live.gnome.org/DeskbarApplet
Source0:	http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/2.20/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python}%{pyver} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Requires:       gnome-python gnome-python-applet gnome-python-bonobo
Requires:       gnome-python-gconf PyGTK gnome-python-libwnck

Requires(pre):  GConf
Requires(post): GConf desktop-file-utils
Requires(preun): GConf desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: libbonobo-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python26-devel
BuildRequires: startup-notification-devel which libxml2-devel libxslt-devel
BuildRequires: zlib-devel gnome-doc-utils python26-pygtk-devel python26-pygobject-devel dbus-python26-devel libxml2-python
BuildRequires: gnome-python-applet gnome-python-libwnck gnome-python-gnomedesktop gnome-python-gnomekeyring gnome-python-gconf

%description
The goal of DeskbarApplet is to provide an omnipresent versatile search
interface. By typing search terms into the deskbar entry in your panel you are
presented with the search results as you type.

Seaches are handled by a series of plugins. DeskbarApplet provides a simple
interface to manage these plugins to provide you with the search results that
fit your needs.

%prep
%setup -q

%build
%configure \
--disable-schemas-install \
--disable-scrollkeeper PYTHON=/usr/bin/python%{PYVER} 
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mdir="$(grep "^modulesdir=" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{name}.pc)"
mdir="${mdir#*=}"

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%_sysconfdir/gconf/schemas
%_libexecdir/deskbar-applet
%_libdir/bonobo/servers/Deskbar_Applet.server
%_pkgconfig
%{python_sitelib}/deskbar
%_datadir/%{name}
%_datadir/icons
%_datadir/omf
%_datadir/gnome

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-2
- rebuild against evolution-data-server-2.24.2
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0.1-1
- Initial release